Subject: Re: linux-next: build warning after merge of the kbuild tree

From: Dominique Martinet <[email-masked]>
Date: Wed, 9 Dec 2020 14:01:30 +0100

Stephen Rothwell wrote on Wed, Dec 09, 2020:
> After merging the kbuild tree, today's linux-next build (x86_64
> modules_install) produced this warning:
> 
> Warning: 'make modules_install' requires depmod. Please install it.
> This is probably in the kmod package.
> 
> Introduced by commit
> 
>   330029209513 ("kbuild: don't hardcode depmod path")
> 
> Unfortunately for most of us (?), /sbin is not in our PATH ...

d'oh.

Now you say this, I always found stupid distros that don't include sbin
in user PATHs: utilities like ip and a few others are perfectly useable
as reglar users to query the system state and the first thing I always
do is to add /sbin to my path on the rare distros that do this
(debian-based distros only?) so it totally slipped out of my head :/

I guess it's possible to make kbuild check both sbin and PATH, would
that be acceptable?

I'll have a look at how to do that if so.
-- 
Dominique